# PathFindCreateRequest | xrpl
Documentation for xrpl

# Interface PathFindCreateRequest

Start sending pathfinding information.

#### Hierarchy

- BasePathFindRequest
  - PathFindCreateRequest

- Defined in packages/xrpl/src/models/methods/pathFind.ts:11

#####
Index

### Properties

api_version?
command
destination_account
destination_amount
id?
paths?
send_max?
source_account
subcommand

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BasePathFindRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "path_find"

Inherited from BasePathFindRequest.command

- Defined in packages/xrpl/src/models/methods/pathFind.ts:6

### destination_account

destination_account: string

Unique address of the account to find a path to.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:19

### destination_amount

destination_amount: Amount

Currency Amount that the destination account would receive in a transaction.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:24

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BasePathFindRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### `Optional` paths

paths?: Path[]

Array of arrays of objects, representing payment paths to check. You can use this to keep updated on changes to particular paths you already know about, or to check the overall cost to make a payment along a certain path.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:32

### `Optional` send_max

send_max?: Amount

Currency amount that would be spent in the transaction.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:26

### source_account

source_account: string

Unique address of the account to find a path from. In other words, the. Account that would be sending a payment.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:17

### subcommand

subcommand: "create"

Overrides BasePathFindRequest.subcommand

- Defined in packages/xrpl/src/models/methods/pathFind.ts:12

Generated using TypeDoc